package SharedModel;

/**
 * Created by jjg64 on 19/04/17.
 */
public class Regatta {
    int regattaID;
    String RegattaName;
    int raceID = 0;
    String courseName;
    double centralLatitude;
    double centralLongitude;
    double centralAltitude;
    float utcOffset;
    float magneticVariation;

    public Regatta(int regattaID, String regattaName, String courseName, double centralLatitude, double centralLongitude, double centralAltitude, float utcOffset, float magneticVariation) {
        this.regattaID = regattaID;
        this.RegattaName = regattaName;
        this.courseName = courseName;
        this.centralLatitude = centralLatitude;
        this.centralLongitude = centralLongitude;
        this.centralAltitude = centralAltitude;
        this.utcOffset = utcOffset;
        this.magneticVariation = magneticVariation;
    }

    public int getRegattaID() {
        return regattaID;
    }

    public void setRegattaID(int ID) {
        this.regattaID = ID;
    }

    public String getRegattaName() {
        return RegattaName;
    }

    public void setRegattaName(String regattaName) {
        RegattaName = regattaName;
    }

    public int getRaceID() {
        return raceID;
    }

    public void setRaceID(int raceID) {
        this.raceID = raceID;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public double getCentralLatitude() {
        return centralLatitude;
    }

    public void setCentralLatitude(double centralLatitude) {
        this.centralLatitude = centralLatitude;
    }

    public double getCentralLongitude() {
        return centralLongitude;
    }

    public void setCentralLongitude(double centralLongitude) {
        this.centralLongitude = centralLongitude;
    }

    public double getCentralAltitude() {
        return centralAltitude;
    }

    public void setCentralAltitude(double centralAltitude) {
        this.centralAltitude = centralAltitude;
    }

    public float getUtcOffset() {
        return utcOffset;
    }

    public void setUtcOffset(float utcOffset) {
        this.utcOffset = utcOffset;
    }

    public float getMagneticVariation() {
        return magneticVariation;
    }

    public void setMagneticVariation(float magneticVariation) {
        this.magneticVariation = magneticVariation;
    }
}
